diff --git x11/xfce4-panel/Makefile x11/xfce4-panel/Makefile
index 3f9a249..5cce4c2 100644
--- x11/xfce4-panel/Makefile
+++ x11/xfce4-panel/Makefile
@@ -1,46 +1,28 @@
-# $NetBSD: Makefile,v 1.60 2014/05/05 00:48:37 ryoon Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
+DISTNAME=	xfce4-panel-4.10.1
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfce4-panel/4.10/
+EXTRACT_SUFX=	.tar.bz2
 
-PKGREVISION=		22
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce desktop panel
+LICENSE=	gnu-gpl-v2
 
-XFCE4_VERSION=		4.6.2
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-DISTNAME=		xfce4-panel-${XFCE4_VERSION}
-CATEGORIES=		x11
-COMMENT=		Xfce panel
-
-MASTER_SITES+=		http://archive.xfce.org/src/xfce/xfce4-panel/4.6/
-
-PKGCONFIG_OVERRIDE=	libxfce4panel/libxfce4panel-1.0.pc.in
-PTHREAD_AUTO_VARS=	yes
-
-PKG_SYSCONFSUBDIR=	xdg/xfce4/panel
-EGDIR=			${XFCE4_EGBASE}/panel
-
-MAKE_DIRS+=	${PREFIX}/include/xfce4 ${PREFIX}/lib/xfce4
-MAKE_DIRS+=	${XFCE4_EGBASE:Q} ${PREFIX}/share/xfce4
-MAKE_DIRS+=	${PREFIX}/share/xfce4/doc ${PREFIX}/share/xfce4/doc/C
-MAKE_DIRS+=	${PREFIX}/share/xfce4/doc/C/images
-OWN_DIRS+=	${PKG_SYSCONFDIR}
-OWN_DIRS+=	${PREFIX}/share/xfce4/panel-plugins
-# The following are not used in this pkg, but here is a good place to rmdir them
-MAKE_DIRS+=	${PREFIX}/libexec/xfce4
-MAKE_DIRS+=	${PREFIX}/libexec/xfce4/panel-plugins
-
-.for f in clock-14.rc launcher-10.rc launcher-7.rc launcher-8.rc launcher-9.rc \
-	panels.xml systray-4.rc xfce4-menu-5.rc
-CONF_FILES+=	${EGDIR}/${f} ${PKG_SYSCONFDIR}/${f}
-.endfor
+PKGCONFIG_OVERRIDE+=	libxfce4panel/libxfce4panel-1.0.pc.in
 
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../x11/exo/buildlink3.mk"
+.include "../../x11/garcon/buildlink3.mk"
 .include "../../devel/libwnck/buildlink3.mk"
-.include "../../graphics/cairo/buildlink3.mk"
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
+
 .include "../../sysutils/desktop-file-utils/desktopdb.mk"
-.include "../../textproc/libxml2/buildlink3.mk"
-.include "../../x11/libxfce4gui/buildlink3.mk"
-.include "../../x11/libxfce4util/buildlink3.mk"
-.include "../../x11/startup-notification/buildlink3.mk"
-.include "../../x11/xfce4-exo/buildlink3.mk"
-.include "../../mk/pthread.buildlink3.mk"
+
 .include "../../mk/bsd.pkg.mk"
diff --git x11/xfce4-panel/PLIST x11/xfce4-panel/PLIST
index f940c07..ec37d88 100644
--- x11/xfce4-panel/PLIST
+++ x11/xfce4-panel/PLIST
@@ -1,84 +1,83 @@
-@comment $NetBSD: PLIST,v 1.24 2012/05/19 00:32:39 marino Exp $
+@comment $NetBSD$
 bin/xfce4-panel
-bin/xfce4-popup-windowlist
-include/xfce4/libxfce4panel/libxfce4panel-enum-types.h
-include/xfce4/libxfce4panel/libxfce4panel.h
-include/xfce4/libxfce4panel/xfce-arrow-button.h
-include/xfce4/libxfce4panel/xfce-hvbox.h
-include/xfce4/libxfce4panel/xfce-itembar.h
-include/xfce4/libxfce4panel/xfce-panel-convenience.h
-include/xfce4/libxfce4panel/xfce-panel-enums.h
-include/xfce4/libxfce4panel/xfce-panel-external-plugin.h
-include/xfce4/libxfce4panel/xfce-panel-internal-plugin.h
-include/xfce4/libxfce4panel/xfce-panel-macros.h
-include/xfce4/libxfce4panel/xfce-panel-plugin-iface.h
-include/xfce4/libxfce4panel/xfce-panel-plugin.h
-include/xfce4/libxfce4panel/xfce-panel-window.h
-lib/libxfce4panel.la
+bin/xfce4-popup-applicationsmenu
+bin/xfce4-popup-directorymenu
+bin/xfce4-popup-windowmenu
+etc/xdg/xfce4/panel/default.xml
+include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-config.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-enum-types.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-enums.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-arrow-button.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-hvbox.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-convenience.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-image.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-macros-46.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-macros.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-plugin-provider.h
+include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-plugin.h
+lib/libxfce4panel-1.0.la
 lib/pkgconfig/libxfce4panel-1.0.pc
-lib/xfce4/panel-plugins/libactions.la
-lib/xfce4/panel-plugins/libclock.la
-lib/xfce4/panel-plugins/libiconbox.la
-lib/xfce4/panel-plugins/liblauncher.la
-lib/xfce4/panel-plugins/libpager.la
-lib/xfce4/panel-plugins/libseparator.la
-lib/xfce4/panel-plugins/libshowdesktop.la
-lib/xfce4/panel-plugins/libsystray.la
-lib/xfce4/panel-plugins/libtasklist.la
-lib/xfce4/panel-plugins/libwindowlist.la
-share/applications/xfce4-panel-manager.desktop
-share/examples/xfce4/panel/clock-14.rc
-share/examples/xfce4/panel/launcher-10.rc
-share/examples/xfce4/panel/launcher-7.rc
-share/examples/xfce4/panel/launcher-8.rc
-share/examples/xfce4/panel/launcher-9.rc
-share/examples/xfce4/panel/panels.xml
-share/examples/xfce4/panel/systray-4.rc
-share/examples/xfce4/panel/xfce4-menu-5.rc
-share/gtk-doc/html/libxfce4panel/XfceArrowButton.html
-share/gtk-doc/html/libxfce4panel/XfceExternalPanelPlugin.html
-share/gtk-doc/html/libxfce4panel/XfceHVBox.html
-share/gtk-doc/html/libxfce4panel/XfceInternalPanelPlugin.html
-share/gtk-doc/html/libxfce4panel/XfceItembar.html
-share/gtk-doc/html/libxfce4panel/XfcePanelPlugin.html
-share/gtk-doc/html/libxfce4panel/XfcePanelWindow.html
-share/gtk-doc/html/libxfce4panel/home.png
-share/gtk-doc/html/libxfce4panel/index.html
-share/gtk-doc/html/libxfce4panel/index.sgml
-share/gtk-doc/html/libxfce4panel/ix01.html
-share/gtk-doc/html/libxfce4panel/ix02.html
-share/gtk-doc/html/libxfce4panel/left.png
-share/gtk-doc/html/libxfce4panel/libxfce4panel-Common-macros.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-Convenience-Widgets.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-Register-Plugins.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-Standard-Enumerations.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-fundamentals.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-panel.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel-widgets.html
-share/gtk-doc/html/libxfce4panel/libxfce4panel.devhelp
-share/gtk-doc/html/libxfce4panel/libxfce4panel.devhelp2
-share/gtk-doc/html/libxfce4panel/right.png
-share/gtk-doc/html/libxfce4panel/style.css
-share/gtk-doc/html/libxfce4panel/up.png
-share/icons/hicolor/16x16/apps/xfce-system-exit.png
-share/icons/hicolor/16x16/apps/xfce-system-lock.png
+lib/xfce4/panel/migrate
+lib/xfce4/panel/plugins/libactions.la
+lib/xfce4/panel/plugins/libapplicationsmenu.la
+lib/xfce4/panel/plugins/libclock.la
+lib/xfce4/panel/plugins/libdirectorymenu.la
+lib/xfce4/panel/plugins/liblauncher.la
+lib/xfce4/panel/plugins/libpager.la
+lib/xfce4/panel/plugins/libseparator.la
+lib/xfce4/panel/plugins/libshowdesktop.la
+lib/xfce4/panel/plugins/libsystray.la
+lib/xfce4/panel/plugins/libtasklist.la
+lib/xfce4/panel/plugins/libwindowmenu.la
+lib/xfce4/panel/wrapper
+share/applications/panel-desktop-handler.desktop
+share/applications/panel-preferences.desktop
+share/gtk-doc/html/libxfce4panel-1.0/XfceArrowButton.html
+share/gtk-doc/html/libxfce4panel-1.0/XfceHVBox.html
+share/gtk-doc/html/libxfce4panel-1.0/XfcePanelImage.html
+share/gtk-doc/html/libxfce4panel-1.0/XfcePanelPlugin.html
+share/gtk-doc/html/libxfce4panel-1.0/api-index-4-6.html
+share/gtk-doc/html/libxfce4panel-1.0/api-index-4-8.html
+share/gtk-doc/html/libxfce4panel-1.0/api-index-deprecated.html
+share/gtk-doc/html/libxfce4panel-1.0/api-index-full.html
+share/gtk-doc/html/libxfce4panel-1.0/home.png
+share/gtk-doc/html/libxfce4panel-1.0/index.html
+share/gtk-doc/html/libxfce4panel-1.0/index.sgml
+share/gtk-doc/html/libxfce4panel-1.0/left.png
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-1.0.devhelp2
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Commonly-used-plugin-macros.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Convenience-Functions.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-GObject-Oriented-Panel-Plugin-Registers-Macros.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Panel-Plugin-Register-Macros-(4.6-Style).html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Panel-Plugin-Register-Macros.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Standard-Enumerations.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-Version-Information.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-fundamentals.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-miscelleanous.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-plugins.html
+share/gtk-doc/html/libxfce4panel-1.0/libxfce4panel-widgets.html
+share/gtk-doc/html/libxfce4panel-1.0/right.png
+share/gtk-doc/html/libxfce4panel-1.0/style.css
+share/gtk-doc/html/libxfce4panel-1.0/up.png
+share/icons/hicolor/16x16/apps/xfce4-panel-menu.png
 share/icons/hicolor/16x16/apps/xfce4-panel.png
+share/icons/hicolor/22x22/apps/xfce4-panel-menu.png
 share/icons/hicolor/22x22/apps/xfce4-panel.png
+share/icons/hicolor/24x24/apps/xfce4-panel-menu.png
 share/icons/hicolor/24x24/apps/xfce4-panel.png
+share/icons/hicolor/32x32/apps/xfce4-panel-menu.png
 share/icons/hicolor/32x32/apps/xfce4-panel.png
-share/icons/hicolor/48x48/apps/xfce-mouse.png
-share/icons/hicolor/48x48/apps/xfce4-clock.png
-share/icons/hicolor/48x48/apps/xfce4-iconbox.png
+share/icons/hicolor/48x48/apps/xfce4-panel-menu.png
 share/icons/hicolor/48x48/apps/xfce4-panel.png
-share/icons/hicolor/48x48/apps/xfce4-separator.png
-share/icons/hicolor/48x48/apps/xfce4-systray.png
-share/icons/hicolor/48x48/apps/xfce4-taskbar.png
+share/icons/hicolor/scalable/apps/xfce4-panel.svg
 share/locale/am/LC_MESSAGES/xfce4-panel.mo
 share/locale/ar/LC_MESSAGES/xfce4-panel.mo
 share/locale/ast/LC_MESSAGES/xfce4-panel.mo
 share/locale/az/LC_MESSAGES/xfce4-panel.mo
 share/locale/be/LC_MESSAGES/xfce4-panel.mo
 share/locale/bg/LC_MESSAGES/xfce4-panel.mo
+share/locale/bn/LC_MESSAGES/xfce4-panel.mo
 share/locale/bn_IN/LC_MESSAGES/xfce4-panel.mo
 share/locale/ca/LC_MESSAGES/xfce4-panel.mo
 share/locale/cs/LC_MESSAGES/xfce4-panel.mo
@@ -99,9 +98,11 @@ share/locale/gl/LC_MESSAGES/xfce4-panel.mo
 share/locale/gu/LC_MESSAGES/xfce4-panel.mo
 share/locale/he/LC_MESSAGES/xfce4-panel.mo
 share/locale/hi/LC_MESSAGES/xfce4-panel.mo
+share/locale/hr/LC_MESSAGES/xfce4-panel.mo
 share/locale/hu/LC_MESSAGES/xfce4-panel.mo
 share/locale/hy/LC_MESSAGES/xfce4-panel.mo
 share/locale/id/LC_MESSAGES/xfce4-panel.mo
+share/locale/is/LC_MESSAGES/xfce4-panel.mo
 share/locale/it/LC_MESSAGES/xfce4-panel.mo
 share/locale/ja/LC_MESSAGES/xfce4-panel.mo
 share/locale/ka/LC_MESSAGES/xfce4-panel.mo
@@ -115,6 +116,7 @@ share/locale/mr/LC_MESSAGES/xfce4-panel.mo
 share/locale/ms/LC_MESSAGES/xfce4-panel.mo
 share/locale/nb/LC_MESSAGES/xfce4-panel.mo
 share/locale/nl/LC_MESSAGES/xfce4-panel.mo
+share/locale/nn/LC_MESSAGES/xfce4-panel.mo
 share/locale/pa/LC_MESSAGES/xfce4-panel.mo
 share/locale/pl/LC_MESSAGES/xfce4-panel.mo
 share/locale/pt/LC_MESSAGES/xfce4-panel.mo
@@ -124,31 +126,26 @@ share/locale/ru/LC_MESSAGES/xfce4-panel.mo
 share/locale/si/LC_MESSAGES/xfce4-panel.mo
 share/locale/sk/LC_MESSAGES/xfce4-panel.mo
 share/locale/sq/LC_MESSAGES/xfce4-panel.mo
+share/locale/sr/LC_MESSAGES/xfce4-panel.mo
 share/locale/sv/LC_MESSAGES/xfce4-panel.mo
 share/locale/ta/LC_MESSAGES/xfce4-panel.mo
+share/locale/te/LC_MESSAGES/xfce4-panel.mo
 share/locale/tr/LC_MESSAGES/xfce4-panel.mo
+share/locale/ug/LC_MESSAGES/xfce4-panel.mo
 share/locale/uk/LC_MESSAGES/xfce4-panel.mo
 share/locale/ur/LC_MESSAGES/xfce4-panel.mo
 share/locale/ur_PK/LC_MESSAGES/xfce4-panel.mo
 share/locale/vi/LC_MESSAGES/xfce4-panel.mo
 share/locale/zh_CN/LC_MESSAGES/xfce4-panel.mo
 share/locale/zh_TW/LC_MESSAGES/xfce4-panel.mo
-share/xfce4/doc/C/images/add_item_dialog.png
-share/xfce4/doc/C/images/default_bottom_panel.png
-share/xfce4/doc/C/images/default_top_panel.png
-share/xfce4/doc/C/images/item_popup.png
-share/xfce4/doc/C/images/launcher_properties.png
-share/xfce4/doc/C/images/panel_manager.png
-share/xfce4/doc/C/xfce4-panel.html
-share/xfce4/panel-plugins/actions.desktop
-share/xfce4/panel-plugins/clock.desktop
-share/xfce4/panel-plugins/iconbox.desktop
-share/xfce4/panel-plugins/launcher.desktop
-share/xfce4/panel-plugins/pager.desktop
-share/xfce4/panel-plugins/separator.desktop
-share/xfce4/panel-plugins/showdesktop.desktop
-share/xfce4/panel-plugins/systray.desktop
-share/xfce4/panel-plugins/tasklist.desktop
-share/xfce4/panel-plugins/windowlist.desktop
-@pkgdir libexec/xfce4/panel-plugins
-@pkgdir libexec/xfce4
+share/xfce4/panel/plugins/actions.desktop
+share/xfce4/panel/plugins/applicationsmenu.desktop
+share/xfce4/panel/plugins/clock.desktop
+share/xfce4/panel/plugins/directorymenu.desktop
+share/xfce4/panel/plugins/launcher.desktop
+share/xfce4/panel/plugins/pager.desktop
+share/xfce4/panel/plugins/separator.desktop
+share/xfce4/panel/plugins/showdesktop.desktop
+share/xfce4/panel/plugins/systray.desktop
+share/xfce4/panel/plugins/tasklist.desktop
+share/xfce4/panel/plugins/windowmenu.desktop
diff --git x11/xfce4-panel/distinfo x11/xfce4-panel/distinfo
index 1585056..733af4e 100644
--- x11/xfce4-panel/distinfo
+++ x11/xfce4-panel/distinfo
@@ -1,8 +1,5 @@
-$NetBSD: distinfo,v 1.22 2012/02/09 12:01:44 drochner Exp $
+$NetBSD$
 
-SHA1 (xfce4-panel-4.6.2.tar.bz2) = 32a5e5b9e8b93c2167077b329cf4d2fcb4323c9e
-RMD160 (xfce4-panel-4.6.2.tar.bz2) = 5d981eaffc5aab227a3db66f8d39d0492d02a16d
-Size (xfce4-panel-4.6.2.tar.bz2) = 876456 bytes
-SHA1 (patch-ab) = 977b38f4e58620b96d28ef2b9992a03169eb7814
-SHA1 (patch-ac) = e2b779735c682e77f3d78343ad6e07e649c76123
-SHA1 (patch-ad) = 967d72a3944160379fdc1d3b94d4bea4fca0ba65
+SHA1 (xfce4-panel-4.10.1.tar.bz2) = b00cabae3b98a0adb83060466872bcaed47461ed
+RMD160 (xfce4-panel-4.10.1.tar.bz2) = 6f45ccdbbdf10e0ef690eecc3fc721eed1669149
+Size (xfce4-panel-4.10.1.tar.bz2) = 1061090 bytes
diff --git x11/xfce4-session/DESCR x11/xfce4-session/DESCR
index 2f2af87..6d02c4e 100644
--- x11/xfce4-session/DESCR
+++ x11/xfce4-session/DESCR
@@ -1,4 +1 @@
-Session manager for Xfce. Its task is to save the state of your
-desktop (opened applications and their location) and restore it
-during a next startup. You can create several different sessions
-and choose one of them on startup.
+Xfce session manager
diff --git x11/xfce4-session/Makefile x11/xfce4-session/Makefile
index 8daee51..5aaf9c8 100644
--- x11/xfce4-session/Makefile
+++ x11/xfce4-session/Makefile
@@ -1,45 +1,28 @@
-# $NetBSD: Makefile,v 1.48 2014/05/05 00:48:37 ryoon Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
+DISTNAME=	xfce4-session-4.10.1
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfce4-session/4.10/
+EXTRACT_SUFX=	.tar.bz2
 
-DISTNAME=		xfce4-session-${XFCE4_VERSION}
-PKGREVISION=		21
-CATEGORIES=		x11
-COMMENT=		Xfce session manager
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce session manager
+LICENSE=	gnu-gpl-v2
 
-PKGCONFIG_OVERRIDE+=	libxfsm/xfce4-session-2.0.pc.in
-
-BUILD_DEFS+=		PKG_SYSCONFBASE
-
-CONFIGURE_ARGS+=	--sysconfdir=${PKG_SYSCONFBASE}
-CONFIGURE_ARGS+=	ICEAUTH=${TOOLS_PATH.iceauth}
-
-USE_TOOLS+=		iceauth:run
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-EGDIR=			${XFCE4_EGBASE}
-PKG_SYSCONFSUBDIR=	xdg
-
-MAKE_DIRS+=	${PKG_SYSCONFDIR} ${PKG_SYSCONFDIR}/autostart
-MAKE_DIRS+=	${PREFIX}/include/xfce4 ${PREFIX}/lib/xfce4
-MAKE_DIRS+=	${EGDIR} ${EGDIR}/autostart ${EGDIR}/xfconf
-MAKE_DIRS+=	${EGDIR}/xfconf/xfce-perchannel-xml
-MAKE_DIRS+=	${EGDIR}/share/themes/Default
-MAKE_DIRS+=	${PREFIX}/share/xfce4 ${PREFIX}/share/xfce4/doc
-MAKE_DIRS+=	${PREFIX}/share/xfce4/doc/C ${PREFIX}/share/xfce4/doc/C/images
-MAKE_DIRS+=	${PREFIX}/share/xfce4/doc/fr ${PREFIX}/share/xfce4/doc/fr/images
+PKGCONFIG_OVERRIDE+=	libxfsm/xfce4-session-2.0.pc.in
 
-CONF_FILES=	${EGDIR}/xfconf/xfce-perchannel-xml/xfce4-session.xml \
-	${PKG_SYSCONFDIR}/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
-CONF_FILES+=	${EGDIR}/autostart/xfce4-tips-autostart.desktop \
-		${PKG_SYSCONFDIR}/autostart/xfce4-tips-autostart.desktop
+DEPENDS+=p5-XML-Parser>=2.0:../../textproc/p5-XML-Parser
 
-.include "../../devel/libglade/buildlink3.mk"
+.include "../../x11/libxfce4ui/buildlink3.mk"
 .include "../../devel/libwnck/buildlink3.mk"
-.include "../../devel/xfconf/buildlink3.mk"
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
-.include "../../sysutils/dbus/buildlink3.mk"
-.include "../../sysutils/dbus-glib/buildlink3.mk"
+
 .include "../../sysutils/desktop-file-utils/desktopdb.mk"
-.include "../../x11/libxfce4gui/buildlink3.mk"
-.include "../../x11/libxfce4util/buildlink3.mk"
+
 .include "../../mk/bsd.pkg.mk"
diff --git x11/xfce4-session/PLIST x11/xfce4-session/PLIST
index 4e087e7..8a0ee65 100644
--- x11/xfce4-session/PLIST
+++ x11/xfce4-session/PLIST
@@ -1,25 +1,28 @@
-@comment $NetBSD: PLIST,v 1.15 2009/09/16 01:15:36 reed Exp $
+@comment $NetBSD$
+bin/startxfce4
 bin/xfce4-session
 bin/xfce4-session-logout
 bin/xfce4-session-settings
-bin/xfce4-tips
+bin/xflock4
+etc/xdg/autostart/xscreensaver.desktop
+etc/xdg/xfce4/Xft.xrdb
+etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
+etc/xdg/xfce4/xinitrc
 include/xfce4/xfce4-session-4.6/libxfsm/xfsm-splash-engine.h
 include/xfce4/xfce4-session-4.6/libxfsm/xfsm-splash-rc.h
 lib/libxfsm-4.6.la
 lib/pkgconfig/xfce4-session-2.0.pc
-lib/xfce4/splash/engines/libbalou.la
-lib/xfce4/splash/engines/libmice.la
-lib/xfce4/splash/engines/libsimple.la
-libexec/balou-export-theme
-libexec/balou-install-theme
-libexec/xfsm-shutdown-helper
+lib/xfce4/session/balou-export-theme
+lib/xfce4/session/balou-install-theme
+lib/xfce4/session/splash-engines/libbalou.la
+lib/xfce4/session/splash-engines/libmice.la
+lib/xfce4/session/splash-engines/libsimple.la
+lib/xfce4/session/xfsm-shutdown-helper
 man/man1/xfce4-session-logout.1
 man/man1/xfce4-session.1
 share/applications/xfce-session-settings.desktop
-share/examples/xfce4/autostart/xfce4-tips-autostart.desktop
-share/examples/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
+share/applications/xfce4-session-logout.desktop
 share/icons/hicolor/128x128/apps/xfce4-session.png
-share/icons/hicolor/48x48/apps/xfce4-autostart-editor.png
 share/icons/hicolor/48x48/apps/xfce4-session.png
 share/icons/hicolor/48x48/apps/xfce4-splash.png
 share/icons/hicolor/48x48/apps/xfsm-hibernate.png
@@ -27,15 +30,15 @@ share/icons/hicolor/48x48/apps/xfsm-logout.png
 share/icons/hicolor/48x48/apps/xfsm-reboot.png
 share/icons/hicolor/48x48/apps/xfsm-shutdown.png
 share/icons/hicolor/48x48/apps/xfsm-suspend.png
-share/icons/hicolor/64x64/apps/xfsm-gnome-kde-logo.png
-share/icons/hicolor/72x72/apps/xfsm-trash-hilight.png
-share/icons/hicolor/72x72/apps/xfsm-trash-normal.png
 share/icons/hicolor/scalable/apps/xfce4-session.svg
 share/icons/hicolor/scalable/apps/xfsm-shutdown.svg
 share/locale/am/LC_MESSAGES/xfce4-session.mo
 share/locale/ar/LC_MESSAGES/xfce4-session.mo
+share/locale/ast/LC_MESSAGES/xfce4-session.mo
 share/locale/az/LC_MESSAGES/xfce4-session.mo
 share/locale/be/LC_MESSAGES/xfce4-session.mo
+share/locale/bg/LC_MESSAGES/xfce4-session.mo
+share/locale/bn/LC_MESSAGES/xfce4-session.mo
 share/locale/bn_IN/LC_MESSAGES/xfce4-session.mo
 share/locale/ca/LC_MESSAGES/xfce4-session.mo
 share/locale/cs/LC_MESSAGES/xfce4-session.mo
@@ -56,11 +59,14 @@ share/locale/gl/LC_MESSAGES/xfce4-session.mo
 share/locale/gu/LC_MESSAGES/xfce4-session.mo
 share/locale/he/LC_MESSAGES/xfce4-session.mo
 share/locale/hi/LC_MESSAGES/xfce4-session.mo
+share/locale/hr/LC_MESSAGES/xfce4-session.mo
 share/locale/hu/LC_MESSAGES/xfce4-session.mo
 share/locale/id/LC_MESSAGES/xfce4-session.mo
+share/locale/is/LC_MESSAGES/xfce4-session.mo
 share/locale/it/LC_MESSAGES/xfce4-session.mo
 share/locale/ja/LC_MESSAGES/xfce4-session.mo
 share/locale/ka/LC_MESSAGES/xfce4-session.mo
+share/locale/kk/LC_MESSAGES/xfce4-session.mo
 share/locale/ko/LC_MESSAGES/xfce4-session.mo
 share/locale/lt/LC_MESSAGES/xfce4-session.mo
 share/locale/lv/LC_MESSAGES/xfce4-session.mo
@@ -69,6 +75,7 @@ share/locale/mr/LC_MESSAGES/xfce4-session.mo
 share/locale/ms/LC_MESSAGES/xfce4-session.mo
 share/locale/nb/LC_MESSAGES/xfce4-session.mo
 share/locale/nl/LC_MESSAGES/xfce4-session.mo
+share/locale/nn/LC_MESSAGES/xfce4-session.mo
 share/locale/pa/LC_MESSAGES/xfce4-session.mo
 share/locale/pl/LC_MESSAGES/xfce4-session.mo
 share/locale/pt/LC_MESSAGES/xfce4-session.mo
@@ -78,23 +85,17 @@ share/locale/ru/LC_MESSAGES/xfce4-session.mo
 share/locale/si/LC_MESSAGES/xfce4-session.mo
 share/locale/sk/LC_MESSAGES/xfce4-session.mo
 share/locale/sq/LC_MESSAGES/xfce4-session.mo
+share/locale/sr/LC_MESSAGES/xfce4-session.mo
 share/locale/sv/LC_MESSAGES/xfce4-session.mo
 share/locale/ta/LC_MESSAGES/xfce4-session.mo
+share/locale/te/LC_MESSAGES/xfce4-session.mo
 share/locale/tr/LC_MESSAGES/xfce4-session.mo
+share/locale/ug/LC_MESSAGES/xfce4-session.mo
 share/locale/uk/LC_MESSAGES/xfce4-session.mo
 share/locale/ur/LC_MESSAGES/xfce4-session.mo
+share/locale/ur_PK/LC_MESSAGES/xfce4-session.mo
 share/locale/vi/LC_MESSAGES/xfce4-session.mo
 share/locale/zh_CN/LC_MESSAGES/xfce4-session.mo
 share/locale/zh_TW/LC_MESSAGES/xfce4-session.mo
 share/themes/Default/balou/logo.png
 share/themes/Default/balou/themerc
-share/xfce4/doc/C/images/xfsm-advanced.png
-share/xfce4/doc/C/images/xfsm-general.png
-share/xfce4/doc/C/images/xfsm-splash.png
-share/xfce4/doc/C/xfce4-session.html
-share/xfce4/doc/fr/images/xfsm-advanced.png
-share/xfce4/doc/fr/images/xfsm-general.png
-share/xfce4/doc/fr/images/xfsm-splash.png
-share/xfce4/doc/fr/xfce4-session.html
-share/xfce4/tips/tips
-share/xfce4/tips/tips.dat
diff --git x11/xfce4-session/distinfo x11/xfce4-session/distinfo
index bf378eb..3728721 100644
--- x11/xfce4-session/distinfo
+++ x11/xfce4-session/distinfo
@@ -1,7 +1,5 @@
-$NetBSD: distinfo,v 1.12 2009/09/16 01:15:36 reed Exp $
+$NetBSD$
 
-SHA1 (xfce4-session-4.6.1.tar.bz2) = 760e05bf73783521b3ce34e91aa187c74018ab8c
-RMD160 (xfce4-session-4.6.1.tar.bz2) = 0cab4a0ca2b0d7718cde546d98bac1c87a7ba4f0
-Size (xfce4-session-4.6.1.tar.bz2) = 1365247 bytes
-SHA1 (patch-ab) = f1c7a041a91f91a56ac7c8cf64e74a203be905f5
-SHA1 (patch-ac) = 549dccc70ae31f14291d3bf2c191ad8379139c63
+SHA1 (xfce4-session-4.10.1.tar.bz2) = b33d2ced61a9cbacff4f5709959e02d4d1c3836f
+RMD160 (xfce4-session-4.10.1.tar.bz2) = c8c72d954ebb22085e4c4d7d14ab7b9dbfdab6b4
+Size (xfce4-session-4.10.1.tar.bz2) = 1273015 bytes
diff --git x11/xfce4-settings/DESCR x11/xfce4-settings/DESCR
index 0b42c13..ad85ee0 100644
--- x11/xfce4-settings/DESCR
+++ x11/xfce4-settings/DESCR
@@ -1,5 +1 @@
-The Xfce settings manager allows you to customize your desktop
-environment in an easy and intuitive way. You can set some hardware
-components such as mouse, keyboard or display; but also theme your
-windows, widgets and icons, set your preferred applications, manage
-your sessions.
+Xfce settings manager
diff --git x11/xfce4-settings/Makefile x11/xfce4-settings/Makefile
index aa4e604..b722d7d 100644
--- x11/xfce4-settings/Makefile
+++ x11/xfce4-settings/Makefile
@@ -1,44 +1,30 @@
-# $NetBSD: Makefile,v 1.29 2014/05/05 00:48:37 ryoon Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
+DISTNAME=	xfce4-settings-4.10.1
+CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfce4-settings/4.10/
+EXTRACT_SUFX=	.tar.bz2
 
-XFCE4_VERSION=		4.6.5
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce settings manager
+LICENSE=	gnu-gpl-v2
 
-DISTNAME=		xfce4-settings-${XFCE4_VERSION}
-PKGREVISION=		23
-CATEGORIES=		x11
-COMMENT=		Xfce settings manager
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-MASTER_SITES+=		http://archive.xfce.org/src/xfce/xfce4-settings/4.6/
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
 
-BUILD_DEFS+=		PKG_SYSCONFBASE
-
-CONFIGURE_ARGS+=	--sysconfdir=${PKG_SYSCONFBASE}
-
-EGDIR=			${XFCE4_EGBASE}/xfconf/xfce-perchannel-xml
-PKG_SYSCONFSUBDIR=	xdg
-
-MAKE_DIRS+=	${XFCE4_EGBASE:Q} ${XFCE4_EGBASE:Q}/xfconf ${EGDIR}
-
-CONF_FILES=	${EGDIR}/xsettings.xml \
-	${PKG_SYSCONFDIR}/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
-
-CONF_FILES+=	\
-	${XFCE4_EGBASE:Q}/autostart/xfce4-settings-helper-autostart.desktop \
-	${PKG_SYSCONFDIR}/autostart/xfce4-settings-helper-autostart.desktop
-
-.include "../../devel/libglade/buildlink3.mk"
-.include "../../devel/libwnck/buildlink3.mk"
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../x11/exo/buildlink3.mk"
+.include "../../x11/garcon/buildlink3.mk"
 .include "../../devel/xfconf/buildlink3.mk"
-.include "../../sysutils/dbus-glib/buildlink3.mk"
-.include "../../sysutils/desktop-file-utils/desktopdb.mk"
-.include "../../sysutils/libnotify/buildlink3.mk"
-.include "../../x11/libX11/buildlink3.mk"
-.include "../../x11/libXcursor/buildlink3.mk"
 .include "../../x11/libXi/buildlink3.mk"
 .include "../../x11/libXrandr/buildlink3.mk"
-.include "../../x11/libxfce4gui/buildlink3.mk"
-.include "../../x11/libxfce4util/buildlink3.mk"
-.include "../../x11/libxklavier/buildlink3.mk"
-.include "../../x11/xfce4-exo/buildlink3.mk"
+.include "../../x11/libXcursor/buildlink3.mk"
+.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
+
+.include "../../sysutils/desktop-file-utils/desktopdb.mk"
+
 .include "../../mk/bsd.pkg.mk"
diff --git x11/xfce4-settings/PLIST x11/xfce4-settings/PLIST
index d13f059..019d7a7 100644
--- x11/xfce4-settings/PLIST
+++ x11/xfce4-settings/PLIST
@@ -1,52 +1,69 @@
-@comment $NetBSD: PLIST,v 1.3 2010/07/14 16:15:19 drochner Exp $
+@comment $NetBSD$
 bin/xfce4-accessibility-settings
 bin/xfce4-appearance-settings
 bin/xfce4-display-settings
 bin/xfce4-keyboard-settings
+bin/xfce4-mime-settings
 bin/xfce4-mouse-settings
 bin/xfce4-settings-editor
-bin/xfce4-settings-helper
 bin/xfce4-settings-manager
 bin/xfsettingsd
+etc/xdg/autostart/xfsettingsd.desktop
+etc/xdg/menus/xfce-settings-manager.menu
+etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
+lib/xfce4/settings/appearance-install-theme
 share/applications/xfce-display-settings.desktop
 share/applications/xfce-keyboard-settings.desktop
 share/applications/xfce-mouse-settings.desktop
 share/applications/xfce-settings-manager.desktop
 share/applications/xfce-ui-settings.desktop
 share/applications/xfce4-accessibility-settings.desktop
+share/applications/xfce4-mime-settings.desktop
 share/applications/xfce4-settings-editor.desktop
-share/examples/xfce4/autostart/xfce4-settings-helper-autostart.desktop
-share/examples/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
-share/locale/am/LC_MESSAGES/xfce4-settings.mo
+share/locale/ar/LC_MESSAGES/xfce4-settings.mo
 share/locale/ast/LC_MESSAGES/xfce4-settings.mo
+share/locale/bg/LC_MESSAGES/xfce4-settings.mo
+share/locale/bn/LC_MESSAGES/xfce4-settings.mo
 share/locale/ca/LC_MESSAGES/xfce4-settings.mo
 share/locale/cs/LC_MESSAGES/xfce4-settings.mo
 share/locale/da/LC_MESSAGES/xfce4-settings.mo
 share/locale/de/LC_MESSAGES/xfce4-settings.mo
 share/locale/el/LC_MESSAGES/xfce4-settings.mo
+share/locale/en_GB/LC_MESSAGES/xfce4-settings.mo
 share/locale/es/LC_MESSAGES/xfce4-settings.mo
 share/locale/eu/LC_MESSAGES/xfce4-settings.mo
 share/locale/fi/LC_MESSAGES/xfce4-settings.mo
 share/locale/fr/LC_MESSAGES/xfce4-settings.mo
 share/locale/gl/LC_MESSAGES/xfce4-settings.mo
+share/locale/he/LC_MESSAGES/xfce4-settings.mo
+share/locale/hr/LC_MESSAGES/xfce4-settings.mo
 share/locale/hu/LC_MESSAGES/xfce4-settings.mo
 share/locale/id/LC_MESSAGES/xfce4-settings.mo
+share/locale/is/LC_MESSAGES/xfce4-settings.mo
 share/locale/it/LC_MESSAGES/xfce4-settings.mo
 share/locale/ja/LC_MESSAGES/xfce4-settings.mo
 share/locale/kk/LC_MESSAGES/xfce4-settings.mo
+share/locale/ko/LC_MESSAGES/xfce4-settings.mo
+share/locale/lt/LC_MESSAGES/xfce4-settings.mo
 share/locale/lv/LC_MESSAGES/xfce4-settings.mo
 share/locale/nb/LC_MESSAGES/xfce4-settings.mo
 share/locale/nl/LC_MESSAGES/xfce4-settings.mo
+share/locale/nn/LC_MESSAGES/xfce4-settings.mo
+share/locale/pa/LC_MESSAGES/xfce4-settings.mo
 share/locale/pl/LC_MESSAGES/xfce4-settings.mo
 share/locale/pt/LC_MESSAGES/xfce4-settings.mo
 share/locale/pt_BR/LC_MESSAGES/xfce4-settings.mo
 share/locale/ro/LC_MESSAGES/xfce4-settings.mo
 share/locale/ru/LC_MESSAGES/xfce4-settings.mo
+share/locale/si/LC_MESSAGES/xfce4-settings.mo
 share/locale/sk/LC_MESSAGES/xfce4-settings.mo
+share/locale/sr/LC_MESSAGES/xfce4-settings.mo
 share/locale/sv/LC_MESSAGES/xfce4-settings.mo
+share/locale/te/LC_MESSAGES/xfce4-settings.mo
 share/locale/tr/LC_MESSAGES/xfce4-settings.mo
 share/locale/ug/LC_MESSAGES/xfce4-settings.mo
 share/locale/uk/LC_MESSAGES/xfce4-settings.mo
 share/locale/ur/LC_MESSAGES/xfce4-settings.mo
 share/locale/ur_PK/LC_MESSAGES/xfce4-settings.mo
 share/locale/zh_CN/LC_MESSAGES/xfce4-settings.mo
+share/locale/zh_TW/LC_MESSAGES/xfce4-settings.mo
diff --git x11/xfce4-settings/distinfo x11/xfce4-settings/distinfo
index 6b6c054..a63ac05 100644
--- x11/xfce4-settings/distinfo
+++ x11/xfce4-settings/distinfo
@@ -1,9 +1,5 @@
-$NetBSD: distinfo,v 1.5 2013/08/16 07:42:55 obache Exp $
+$NetBSD$
 
-SHA1 (xfce4-settings-4.6.5.tar.bz2) = c036cc2f3100a46b2649e678dff7c0106b219263
-RMD160 (xfce4-settings-4.6.5.tar.bz2) = a8155346285921f3087795598989df287be8abb4
-Size (xfce4-settings-4.6.5.tar.bz2) = 522389 bytes
-SHA1 (patch-aa) = 104e459ab5b7bd4ac821cacada43f2aa4da23f10
-SHA1 (patch-ab) = 4f23e05cacd765b5be2e101dec29d3c6f5cd839f
-SHA1 (patch-dialogs-keyboard-settings-xfce-keyboard-settings.c) = e011c194084458c65a7f47e27fc03cb8927287b2
-SHA1 (patch-xfce4-settings-helper_accessibility.c) = 190883186f2773ab914ef6be38d387f7aa96e9e4
+SHA1 (xfce4-settings-4.10.1.tar.bz2) = d41bf4b0539ed9455a351db5cee8b03c8f114cb6
+RMD160 (xfce4-settings-4.10.1.tar.bz2) = eaff5419c071a701e97fdc3576f54a41cae4bd41
+Size (xfce4-settings-4.10.1.tar.bz2) = 777735 bytes
diff --git x11/xfce4-terminal/DESCR x11/xfce4-terminal/DESCR
index b8721a7..7bdaac0 100644
--- x11/xfce4-terminal/DESCR
+++ x11/xfce4-terminal/DESCR
@@ -1,3 +1 @@
-This is the Terminal emulator application. Terminal is a lightweight and
-easy to use terminal emulator for the X windowing system, with some new
-ideas and features that makes it unique among X terminal emulators.
+Xfce terminal emulator
diff --git x11/xfce4-terminal/Makefile x11/xfce4-terminal/Makefile
index e6565ee..a896b92 100644
--- x11/xfce4-terminal/Makefile
+++ x11/xfce4-terminal/Makefile
@@ -1,25 +1,23 @@
-# $NetBSD: Makefile,v 1.35 2014/05/05 00:48:37 ryoon Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
-
-XFCE4_VERSION=	0.4.2
-
-DISTNAME=	Terminal-${XFCE4_VERSION}
-PKGNAME=	xfce4-terminal-${XFCE4_VERSION}
-PKGREVISION=	21
+DISTNAME=	xfce4-terminal-0.6.3
 CATEGORIES=	x11
+MASTER_SITES=	http://archive.xfce.org/src/apps/xfce4-terminal/0.6/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
 COMMENT=	Xfce terminal emulator
+LICENSE=	gnu-gpl-v2
 
-MASTER_SITES=	http://www.xfce.org/archive/src/apps/terminal/0.4/
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-MAKE_JOBS_SAFE=	no
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../x11/vte/buildlink3.mk"
 
-.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
-.include "../../sysutils/dbus/buildlink3.mk"
-.include "../../sysutils/dbus-glib/buildlink3.mk"
 .include "../../sysutils/desktop-file-utils/desktopdb.mk"
-.include "../../x11/startup-notification/buildlink3.mk"
-.include "../../x11/vte/buildlink3.mk"
-.include "../../x11/xfce4-exo/buildlink3.mk"
-.include "../../mk/pthread.buildlink3.mk"
+
 .include "../../mk/bsd.pkg.mk"
